﻿-- Author:  stphung
-- Email:   stphung@gmail.com

QM_Name = "QuickMark";
QM_Version = "2.0";

function print(arg)
    DEFAULT_CHAT_FRAME:AddMessage(arg);
end

-- The function called when the addon is loaded.
function OnLoad()
    print(QM_Name .. " " .. QM_Version .. " loaded.  Use /qm to display available commands.");
    AddSlashCommandHandler();
end

-- Handles the parameters taken in as slash commands.
function SlashCommandHandler( msg )
    if (msg=="") then
        print("Use /qm <command>");
        print("   <command>: show, hide, version");
    elseif ( msg=="show" ) then
        ShowMainForm();
    elseif ( msg=="hide" ) then
        HideMainForm();
    elseif ( msg=="version" ) then
        print("You are currently using " .. QM_Name .. " " .. QM_Version .. ".");
    end
end

-- Adds a slash command for invoking QuickMark.
function AddSlashCommandHandler()
    SlashCmdList["QUICKMARK"] = SlashCommandHandler;
    SLASH_QUICKMARK1 = "/quickmark";
    SLASH_QUICKMARK2 = "/qm";
end

function MarkCurrentTarget ( icon )
    SetRaidTarget("target", icon);
end

function ShowMainForm()
    QuickMarkForm:Show();
end

function HideMainForm()
    QuickMarkForm:Hide();
end